﻿
/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #fff;
}

.laying-2 {
   display: table-cell;
   vertical-align: middle;
}

.loading-logo-box{
    width: 500px;
    display: block;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
    text-align: center;
}
.loading-log{
    width: 100%;
    display: block;
    position: relative;
    z-index: 4;
    animation: loading_GoIn 1s ease 0s 1 both;
 
}
.loading-ani{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.loading-ani-4{
    animation: loading_GoLeft 1s ease .6s 1 both;
}
.loading-ani-2{
    animation: loading_GoUp 1s ease .8s 1 both;
}
.loading-ani-3{
    animation: loading_GoRight 1s ease 1s 1 both;
}

@keyframes loading_GoIn{
    0%{
        transform: translateX(20%);
        opacity: 0;
    }
    to {
        transform: none;
        opacity: 1;
    }
}
@keyframes loading_GoLeft{
    0%{
        transform: translateY(-20%) translateX(-4%);
        opacity: 0;
    }
    to {
        transform: none;
        opacity: 1;
    }
}
@keyframes loading_GoUp{
    0%{
        transform: translateY(20%) translateX(-4%);
        opacity: 0;
    }
    to {
        transform: none;
        opacity: 1;
    }
}
@keyframes loading_GoRight{
    0%{
        transform: translateY(20%) translateX(-4%);
        opacity: 0;
    }
    to {
        transform: none;
        opacity: 1;
    }
}



/*fancy-box*/

.fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active{
    display: table;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-img-box{
    width: 100%;
    height: 600px;
    display: block;
    margin-bottom: 10px;
    border: 1px solid rgba(255,255,255,0.2);
}
.fancybox-article{
    max-height: calc(100vh - 700px);
    overflow: auto;
}
.fancybox-article-title{
    font-size: 20px;
    color: #FFF;
    letter-spacing: 2px;
}
.fancybox-article-p{
    font-size: 16px;
    display: block;
    color: #FFF;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}

.fancybox-link{
    position: fixed;
    text-align: center;
    top: calc(50% - 31px);
}
.news-prev{
    right: calc(50% + 427px);
}
.news-next{
    left: calc(50% + 427px);
}
.fancybox-link i{
    font-size: 24px;
    color: #FFF;
    display: block;
    margin-bottom: 10px;
}
.fancybox-link p{
    font-size: 18px;
    color: #FFF;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}


/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}

/*animation*/
/*<-------------動畫------------->*/

@keyframes animation_scaleY {
    0%{
        transform:  scaleY(0);
    }
    to {
        transform:  scaleY(1);
        opacity: 1;
    }
}
@keyframes animation_scaleX {
    0%{
        transform:  scaleX(0);
    }
    to {
        transform:  scaleX(1);
        opacity: 1;
    }
}
@keyframes animation_fade {
    0%{
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes animation_rtol {
    0%{
        transform: translateX(50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_ltor {
    0%{
        transform: translateX(-50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_ttob {
    0%{
        transform: translateY(-50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_btot {
    0%{
        transform: translateY(50px);
    }
    to {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes animation_heighttoall {
    0%{
        height: 0;
    }
    to {
        height: 100%;
        opacity: 1;
    }
}
@media only screen and (min-width: 1001px){
    .index-products-linetext-box.active{
        animation: animation_scaleY .5s ease 1 0s both;
    }
    .index-products-linetext-box,
    .index-products,
    .index-products-linetext-tl-box,
    .index-products-linetext-tr-box,
    .index-products-linetext-bl-box,
    .index-products-linetext-br-box,
    .index-news-title,
    .index-news-info-line,
    .index-news-info,
    .index-news-more,
    .index-about-info,
    .index-about-img{
        opacity:  0;
    }
    .index-products.active{
        animation: animation_fade 1s ease 1 .5s both;
    }
    .index-products-info-box .slick-prev.active{
        animation: animation_rtol 1s ease 1 .5s both;
    }
    .index-products-info-box .slick-next.active{
        animation: animation_ltor 1s ease 1 .5s both;
    }
    .index-products-linetext-box.active .index-products-linetext-tl-box,
    .index-products-linetext-box.active .index-products-linetext-bl-box{
        transform-origin: 0% 50%;
        animation: animation_scaleX 1s ease 1 .5s both;
    }
    .index-products-linetext-box.active .index-products-linetext-tr-box,
    .index-products-linetext-box.active .index-products-linetext-br-box{
        transform-origin: 100% 50%;
        animation: animation_scaleX 1s ease 1 .5s both;
    }
    .index-news-title.active{
        animation: animation_ttob .8s ease 1 0s both;
    }
    .index-news-info.active{
        animation: animation_btot .8s ease 1 0s both;
        position: relative;
        z-index: 2;
    }
    .index-news-info-line.active{
        animation: animation_heighttoall .8s ease 1 .3s both;
    }
    .index-news-more.active{
        animation: animation_ltor 1s ease 1 .3s both;
    }
    .index-about-info.active{
        animation: animation_ltor 1s ease 1 .3s both;
    }
    .index-about-img.active{
        animation: animation_rtol 1s ease 1 .3s both;
    }
}

@media only screen and (max-width: 450px){
    .loading-logo-box{
        width: 300px;
    }
}
